# scripts.mk - makefile containing utility scripts
#
# Copyright (c) 2006, TeamF1, Inc.
#
# modification history
# --------------------
# 01b,31oct08,kri fixed spr 9281
# 01a,15feb06,rnp written
#
# DESCRIPTION
#

# tools
CP=cp -u --reply=yes -P
MAKE=make
MKDIR=mkdir
LINK=ln -s
CD=cd
SHELL=bash
ECHO=echo
DIFF=diff
RM=rm
SED=sed
MV=mv
STRIP=$(TGT_TOOL)strip
CHMOD=chmod

LINBASE_TGT_DIR=$(LINBASE)/$(patsubst %-,%,$(TGT_TOOL))/target
LIB_DIR1=$(LINBASE)/$(patsubst %-,%,$(TGT_TOOL))/target/lib
LIB_DIR2=$(LINBASE)/$(patsubst %-,%,$(TGT_TOOL))/target/usr/lib

#utils
findAndRemove = find $(1) -name "$(2)" -exec rm {} \;
symLink = rm -f $(2); ln -s $(1) $(2)
pfrmInstall = $(CP) $(1) $(PFRMDIR)
pfrmInstallAs = $(CP) $(1) $(2)
pfrmLibInstall = $(CP) -H $(LIB_DIR1)/$(1) $(PFRMDIR);
pfrmLib2Install = $(CP) -H $(LIB_DIR2)/$(1) $(PFRMDIR);
pfrmObjInstall = $(CP) $(1) $(PFRMDIR);
pfrmModInstall = $(CP) $(1) $(PFRMDIR);
cramObjInstall = $(CP) $(1) $(LINBASE)/ramdisk/bin/;
cramInstall = $(CP) $(1) $(LINBASE)/ramdisk/bin/;
cramModInstall = $(CP) $(1) $(LINBASE)/ramdisk/lib/modules/2.6.10/wlan/;
ifeq ($(MAKECMDGOALS), release)
pfrmLibInstall += $(STRIP) -s $(PFRMDIR)/$(1)
pfrmObjInstall += $(STRIP) -s $(PFRMDIR)/$(shell basename "$(1)")
pfrmModInstall += $(STRIP) --strip-debug $(PFRMDIR)/$(shell basename "$(1)")
cramObjInstall += $(STRIP) -s $(LINBASE)/ramdisk/bin//$(shell basename "$(1)")
cramModInstall += $(STRIP) --strip-debug $(LINBASE)/ramdisk/lib/modules/2.6.10/wlan/$(shell basename "$(1)")
endif
